#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#define _u8     uint8_t
#define _u16    uint16_t
_u16 crcAll(char message[]);
_u16 calCRC16(char message[], int index, int count);
_u16 getCRC16(_u8 *puchMsg, int DataLen);


#ifdef __cplusplus
}
#endif
